## EDU.oswego.cs.dl.util.concurrent
Interface BoundedChannel

All Superinterfaces:
  Channel, Puttable, Takable

All Known Implementing Classes:
  BoundedBuffer, BoundedLinkedQueue, BoundedPriorityQueue, SemaphoreControlledChannel, Slot, SynchronousChannel

    public interface BoundedChannel

extends Channel

A channel that is known to have a capacity, signifying that `put` operations may block when the capacity is reached. Various implementations may have intrinsically hard-wired capacities, capacities that are fixed upon construction, or dynamically adjustable capacities.

See Also:
  `

  [ Introduction to this package. ]

  `

Method Summary
`int` `capacity()` Return the maximum number of elements that can be held.

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Channel
`offer, peek, poll, put, take`

Method Detail

### capacity

    int capacity()

  Return the maximum number of elements that can be held.

  Returns:
    the capacity of this channel.